View Issue Details

IDProjectCategoryView StatusLast Update
16524Bug reportsMenu systempublic2020-07-30 15:30
Reporterbismark Assigned To 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.22.23 
Summary16524: Missing item "Survey participants" in Survey Menu under certain survey permissions
Description
  • create a survey
  • create a user with the following survey permissions, see image
  • login with that user
  • see Survey menu (on the left), there is a missing menu item "Survey participants"
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.xLTS
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Version10.1.26-MariaDB
Server OS (if known)
Webserver software & version (if known)
PHP Version7.3.15

Activities

bismark

bismark

2020-07-23 16:16

reporter  

missing-menu-item.PNG (102,608 bytes)
sushmanadendla

sushmanadendla

2020-07-27 16:03

manager   ~59100

Tested the issue in the latest version(3.22.27). Was able to replicate the issue successfully. Please refer the attachment for more details.

16524_NoLeftMenu.png (65,105 bytes)   
16524_NoLeftMenu.png (65,105 bytes)   
gabrieljenik

gabrieljenik

2020-07-28 21:54

developer   ~59142

Last edited: 2020-07-30 11:10

Wrong permission set for "Survey Participants" menu entry.
Created DB update.

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1519

sushmanadendla

sushmanadendla

2020-07-29 15:06

manager   ~59156

Last edited: 2020-07-30 11:10

Tested the issue before pulling the PR, Issue exist. Tested the issue after pulling the PR, working as expected. Please refer the attachment for more details

16524_LeftMenu_Listed.png (59,202 bytes)   
16524_LeftMenu_Listed.png (59,202 bytes)   

user231563

2020-07-30 11:01

  ~59198

Last edited: 2020-07-30 11:10

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30321

lime_release_bot

lime_release_bot

2020-07-30 15:30

administrator   ~59210

Fixed in Release 3.22.29+200731

Related Changesets

LimeSurvey: 3.x-LTS 6dabfaa4

2020-07-28 21:53:11

gabrieljenik


Committer: user231563 Details Diff
Fixed issue 16524: Missing item "Survey participants" in Survey Menu under certain survey permissions

Wrong permission set for "Survey Participants" menu entry.
Created DB updat.
Affected Issues
16524
mod - application/config/version.php Diff File
mod - application/core/LsDefaultDataSets.php Diff File
mod - application/helpers/update/updatedb_helper.php Diff File

Issue History

Date Modified Username Field Change
2020-07-23 16:16 bismark New Issue
2020-07-23 16:16 bismark File Added: missing-menu-item.PNG
2020-07-27 16:03 sushmanadendla Note Added: 59100
2020-07-27 16:03 sushmanadendla File Added: 16524_NoLeftMenu.png
2020-07-27 16:04 sushmanadendla Status new => confirmed
2020-07-28 21:54 gabrieljenik Note Added: 59142
2020-07-29 15:06 sushmanadendla Note Added: 59156
2020-07-29 15:06 sushmanadendla File Added: 16524_LeftMenu_Listed.png
2020-07-30 11:01 user231563 Changeset attached => LimeSurvey 3.x-LTS 6dabfaa4
2020-07-30 11:01 user231563 Note Added: 59198
2020-07-30 11:10 swendrich Status confirmed => resolved
2020-07-30 15:30 lime_release_bot Note Added: 59210
2020-07-30 15:30 lime_release_bot Status resolved => closed
2020-07-30 15:30 lime_release_bot Resolution open => fixed